#pragma once
#include <map>
struct Fish_RedJumpCFGData
{
	//编号
	int mID;
	//Room顺序
	int mRoomOrder;
	//对应场次id
	int mRoomId;
	//前往标题
	std::string mTitle;
	//前往图片
	std::string mResources;
	//前往描述
	std::string mDesc;
};

class Fish_RedJumpCFG
{
public:
private:
	static std::auto_ptr<Fish_RedJumpCFG> msSingleton;
public:
	int GetCount();
	const Fish_RedJumpCFGData* GetData(int ID);
	const std::map<int, Fish_RedJumpCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_RedJumpCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_RedJumpCFGData> mMapData;
};
